--
-- IHC 1455 XL
-- Spezialization um Hilfe ein- bzw. ausblenden zu knnen
-- 
--
-- Author  Friedrich L.  -  Skullman
-- Date 18. Dezember 2010
-- Web www.modding-society.de
--
-- Copyright (c) Friedrich L. - All Rights Reserved.
--

ShowHelp = {};

function ShowHelp.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function ShowHelp:load(xmlFile)
	self.showHelp = false;
end;

function ShowHelp:delete()
end;

function ShowHelp:mouseEvent(posX, posY, isDown, isUp, button)
end;

function ShowHelp:keyEvent(unicode, sym, modifier, isDown)
end;

function ShowHelp:update(dt)
	if self:getIsActiveForInput() then
		if InputBinding.hasEvent(InputBinding.TOGGLE_SHOW_HELP) then
			self.showHelp = not self.showHelp;
		end;
	end;
end;



function ShowHelp:updateTick(dt)
end;


function ShowHelp:draw()
	if not self.showHelp then
		renderText(0.75, 0.30, 0.018, "Taste  NumPad 0 : Hilfefenster");
	 else
		renderText(0.75, 0.32, 0.018, "Taste NumPad 0 : Hilfefenster ausblenden");
		renderText(0.75, 0.60, 0.02, "Prinoth Everest V1.0");
		renderText(0.75, 0.58, 0.02, "by LSBrandi Modding");
		renderText(0.75, 0.545, 0.018, "NumPad Enter: Motor starten");
		renderText(0.75, 0.535, 0.015, "oder Taste B:");
		renderText(0.75, 0.52, 0.018, "Taste F :      Standardlicht");
		renderText(0.75, 0.50, 0.018, "Taste pos1 :   Rundumleuchte");
		renderText(0.75, 0.48, 0.018, "NumPad 4 :     Suchlicht");
		renderText(0.75, 0.45, 0.018, "NumPad 5 :     Arbeitslicht Vorne");
		renderText(0.75, 0.43, 0.018, "NumPad 6 :     Arbeitslicht Hinten");
		renderText(0.75, 0.41, 0.018, "NumPad 7 :     Fernlicht");
		renderText(0.75, 0.38, 0.018, "NumPad 8 :     Innenbeleuchtung");
		renderText(0.75, 0.35, 0.018, "NumPad 9 :     Bildschirm");      
	end;
end;  

function ShowHelp:onLeave()
	self.showHelp = false;
end;




